<?php
require_once OCS_APPLICATION_PATH . '/services/Optimization/Factor/Abstract/Base.php';

class Ocs_Service_Optimization_Factor_ImgNameContain
    extends Ocs_Service_Optimization_Factor_Abstract_Base
{
    protected $_label = 'image name';

    protected $_filterName = 'ImgName';

    protected function _analyze()
    {
        if (!$this->_parent->imageExists()) {
            return Ocs_Service_Optimization::STATUS_NA;
        }

        return $this->_parent->analyzeImgNameContain();
    }
}